@charset "UTF-8" ;

.header {
  position: fixed;
  top: 0;
  width: 100%;
  background: rgba(248, 249, 249, 0.3);
  padding: 20px 40px;
  box-sizing: border-box;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  z-index: 100;
  color: #000;
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  align-items: end;
  font-family: "dnp-shuei-mgothic-std", sans-serif !important;
}
.header-logo a {
  display: block;
}
.header-logo img {
  width: 80px;
}
.nav-items__item {
  line-height: 1;
}
.header-contact {
display: flex;
justify-content: right;
gap: 25px;
align-items: center;
}
.header-contact img {
width: 18px;
}
.tel {
  display: flex;
  align-items: baseline;
  gap: 5px;
}

/* ==================================
ナビメニュー
================================== */
.nav-menu ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 60px;
  align-items: end;
}
.nav-menu a {
  display: inline-block;
  text-decoration: none;
  color: #000;
  font-size: 12px;
  font-family: "dnp-shuei-mgothic-std", sans-serif;
  letter-spacing: 0.2rem;
  transition: transform 1s ease-out, color 0.3s ease;
}
.nav-menu a:hover {
  transform: translateY(-5px);
  color: #c30d23;
}



/* ===== ハンバーガーメニューの線 ===== */
.sp-logo {
  display: flex;
  align-items: center;
  gap: 10px;
}
.sp-logo img {
   width: 100px;
}
.hamburger span {
  position: absolute;
  width: 80%;
  height: 1px;
  background-color: #000;
  transition: ease .4s;
}

/* 通常表示 */
.hamburger span:nth-child(1) { top: 14px; }
.hamburger span:nth-child(2) { top: 24px; }
.hamburger span:nth-child(3) { top: 34px; }


/* ハンバーガーメニュー */
.header__hamburger {
  width: 48px;
  height: 100%;
}

.hamburger {
  width: 48px;
  height: 48px;
  background: transparent;
  border: none;
  cursor: pointer;
  position: relative;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* ハンバーガーメニュークリック後のスタイル */
.nav-menu.active {
  transform: translateX(0);
}
/* 変形（×） */
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg);
  top: 22px;
  background-color: #fff;
}
.hamburger.active span:nth-child(2) {
  opacity: 0;
  background-color: #fff;
}
.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg);
  top: 22px;
  background-color: #fff;
}


/* ==================================
safari
================================== */
/* @supports (-webkit-appearance: none) { 
.language_ttl p {
  padding-top: 4px;
}
} */
 /* _::-webkit-full-page-media, _:future, :root .modalPrev:before {
  .language_ttl p {
    padding-top: 4px;
  }
} */


/* ==================================
タブレット
================================== */
@media (min-width: 841px) {
.sp-nav-wrapper {
  display: none;
}
}
@media (max-width: 840px) {
.header {
  align-items: center;
}
.pc-nav-wrapper {
  display: none;
}
.header-bg-wrap {
  margin-bottom: 60px;
}
.header {
  padding: 10px;
}

.separator {
  display: none;
}
.sp-nav-wrapper a {
  color:#fff;
  font-size: 14px;
}
.sp-nav-wrapper ul {
  display: grid;
  justify-content: center;
  gap: 0;
}
.pc-nav-wrapper {
 display: none;
  position: absolute;
  top: 60px;
  left: 0;
  background: rgba(0, 0, 0, 0.9);
  width: 100%;
  padding: 20px 0;
}
.nav-wrapper.active {
display: flex;
}
.nav-flex {
width: 100%;
text-align: center;
align-items: center;
}


.header-contact {
justify-content: center;
padding-bottom: 15px;
}

.nav-menu {
  position: absolute;
  right: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  transform: translateX(100%);
  background-color: #000;
  transition: ease .4s;
  display: grid;
  align-items: center;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-evenly;
  justify-content: center;
  gap: 60px;
}
.nav-items__item {
  border-bottom: 0.5px solid #fff;
  padding: 20px 0;
}
.nav__items span {
  color: #c30d23;
}
}
/* -----------------------------------
スマホ 
-------------------------------------- */
@media (max-width: 540px) {
  .header {
    align-items: center;
  }
}